Index: DCWoRMS/branches/coolemall/src/schedframe/resources/computing/ComputingResource.java
===================================================================
--- DCWoRMS/branches/coolemall/src/schedframe/resources/computing/ComputingResource.java	(revision 1396)
+++ DCWoRMS/branches/coolemall/src/schedframe/resources/computing/ComputingResource.java	(revision 1415)
@@ -9,8 +9,7 @@
 import java.util.Properties;
 
-import schedframe.events.Event;
 import schedframe.events.EventHandler;
+import schedframe.events.EventReason;
 import schedframe.events.ResourceEventCommand;
-import schedframe.events.scheduling.EventReason;
 import schedframe.events.scheduling.ResourceStateChangedEvent;
 import schedframe.events.scheduling.SchedulingEvent;
@@ -21,6 +20,6 @@
 import schedframe.resources.computing.extensions.Extension;
 import schedframe.resources.computing.extensions.ExtensionListImpl;
-import schedframe.resources.computing.profiles.energy.EnergyEvent;
-import schedframe.resources.computing.profiles.energy.EnergyEventType;
+import schedframe.resources.computing.profiles.energy.ResourceEvent;
+import schedframe.resources.computing.profiles.energy.ResourceEventType;
 import schedframe.resources.computing.profiles.energy.EnergyExtension;
 import schedframe.resources.computing.profiles.load.LoadExtension;
@@ -117,10 +116,10 @@
 	}
 	
-	private void triggerEventUp(Event event) {
+	private void triggerEventUp(ResourceEvent event) {
 		if(parent != null)
 			parent.handleEvent(event);
 	}
 
-	public void handleEvent(Event event){
+	public void handleEvent(ResourceEvent event){
 		ResourceEventCommand rec = new ResourceEventCommand(this);
 		rec.execute(event);
@@ -227,5 +226,5 @@
 	class ComputingResourceEventHandler implements EventHandler{
 		
-		public void handleResourceEvent(Event event){
+		public void handleResourceEvent(ResourceEvent event){
 			if (extensionList != null) {
 				for (Extension extension: extensionList) {
@@ -254,13 +253,13 @@
 				//scheduler.sim_cancel(filter, null);
 				ResourceStateChangedEvent rscEvent = (ResourceStateChangedEvent) event;
-				EnergyEventType eeType = (EnergyEventType)rscEvent.getEventType();
+				ResourceEventType reType = rscEvent.getResourceEventType();
 				//scheduler.sendInternal(GridSimTags.SCHEDULE_NOW, DCWormsTags.UPDATE_PROCESSING, src);
-				switch(eeType){
+				switch(reType){
 				
-					case RESOURCE_UTILIZATION_CHANGED: {
+					case UTILIZATION_CHANGED: {
 						scheduler.sendInternal(GridSimTags.SCHEDULE_NOW, DCWormsTags.UPDATE_PROCESSING, src);
 						break;
 					}
-					case FREQUENCY_CHANGED: {
+					case CPU_FREQUENCY_CHANGED: {
 						scheduler.sendInternal(GridSimTags.SCHEDULE_NOW, DCWormsTags.UPDATE_PROCESSING, src);
 						break;
@@ -286,14 +285,14 @@
 		}
 		ResourceEventCommand rec = new ResourceEventCommand(this);
-		EnergyEvent event = new EnergyEvent(EnergyEventType.AIRFLOW_STATE_CHANGED, "Resource controller");
+		ResourceEvent event = new ResourceEvent(ResourceEventType.AIRFLOW_STATE_CHANGED, "Resource controller");
 		event.setReason(EventReason.SIM_INIT);
 		rec.execute(event);
 		/*ResourceEventCommand*/ rec = new ResourceEventCommand(this);
-		/*EnergyEvent*/ event = new EnergyEvent(EnergyEventType.POWER_STATE_CHANGED, "Resource controller");
+		/*ResourceEvent*/ event = new ResourceEvent(ResourceEventType.POWER_STATE_CHANGED, "Resource controller");
 		event.setReason(EventReason.SIM_INIT);
 		rec.execute(event);
 		
 		rec = new ResourceEventCommand(this);
-		event = new EnergyEvent(EnergyEventType.TEMPERATURE_CHANGED, "Resource controller");
+		event = new ResourceEvent(ResourceEventType.TEMPERATURE_CHANGED, "Resource controller");
 		event.setReason(EventReason.SIM_INIT);
 		rec.execute(event);
@@ -302,8 +301,8 @@
 		if(li != null){
 			ResourceLoadCalendar rlc = li.getLoadCalendar();
-			LinkedList<TimestampUtilization> ll = rlc.getLoadDistribution();
-			for(TimestampUtilization tu: ll){
-				DataCenterWorkloadSimulator.getEventManager().sendToResource(getFullName(), tu.getStartTime(), new EnergyEvent(EnergyEventType.RESOURCE_UTILIZATION_CHANGED, getFullName()));
-				DataCenterWorkloadSimulator.getEventManager().sendToResource(getFullName(), tu.getEndTime(), new EnergyEvent(EnergyEventType.RESOURCE_UTILIZATION_CHANGED, getFullName()));
+			LinkedList<TimestampUtilization> ld = rlc.getLoadDistribution();
+			for(TimestampUtilization tu: ld){
+				DataCenterWorkloadSimulator.getEventManager().sendToResource(getFullName(), tu.getStartTime(), new ResourceEvent(ResourceEventType.UTILIZATION_CHANGED, getFullName()));
+				DataCenterWorkloadSimulator.getEventManager().sendToResource(getFullName(), tu.getEndTime(), new ResourceEvent(ResourceEventType.UTILIZATION_CHANGED, getFullName()));
 			}					
 		}
